import React, { memo } from 'react';
import { View, StyleSheet } from 'react-native';
import { Checkbox, Text } from 'react-native-paper';

const CheckboxInput = ({
  isChecked,
  label,
  checkboxColor,
  checkboxLabelStyle,
  checkboxUncheckedColor
}) => /*#__PURE__*/React.createElement(View, {
  style: styles.container
}, /*#__PURE__*/React.createElement(Checkbox, {
  uncheckedColor: checkboxUncheckedColor || '#000007',
  color: checkboxColor || 'blue',
  status: isChecked === true ? 'checked' : 'unchecked'
}), /*#__PURE__*/React.createElement(Text, {
  style: [styles.labelStyle, checkboxLabelStyle]
}, label.trim()));

const styles = StyleSheet.create({
  container: {
    flexDirection: 'row',
    alignItems: 'center',
    flex: 1,
    marginBottom: 1.5
  },
  labelStyle: {
    flexDirection: 'row',
    flexShrink: 1
  }
});
export default /*#__PURE__*/memo(CheckboxInput);
//# sourceMappingURL=checkBox.js.map